Get folder permissions
curl --request GET \
--url https://{instance}.omniapp.co/api/v1/folders/{folderId}/permissions \
--header 'Authorization: Bearer <token>'import requests
url = "https://{instance}.omniapp.co/api/v1/folders/{folderId}/permissions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{instance}.omniapp.co/api/v1/folders/{folderId}/permissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"permits": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"direct": {
"accessBoost": true,
"isOwner": true
}
}
]
}{
"error": "<response_code>",
"message": "<error_reason>"
}{
"error": "<response_code>",
"message": "<error_reason>"
}{
"error": "<response_code>",
"message": "<error_reason>"
}{
"error": "<response_code>",
"message": "<error_reason>"
}Folder permissions
Get folder permissions
Retrieve folder permissions for a user
GET
/
v1
/
folders
/
{folderId}
/
permissions
Get folder permissions
Authorizations
Can be either an Organization API Key or Personal Access Token (PAT).
Include in the Authorization header as: Bearer YOUR_TOKEN
Path Parameters
The UUID of the folder. Use the List folders endpoint to retrieve folder IDs.
Query Parameters
The ID of the user to retrieve folder permissions for. Use the List users or List embed users endpoints to retrieve user IDs.
Response
Folder permissions object
Show child attributes
Show child attributes
Was this page helpful?
⌘I

